Bug 113221 - Deleting Form actions throws java.lang.Error: not implemented for compound types yet
Deleting Form actions throws java.lang.Error: not implemented for compound ty...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: content types (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-09 15:48 EST by Richard Su
Modified: 2007-04-18 13:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-14 14:54:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Su 2004-01-09 15:48:53 EST
Description of problem:

See summary

Steps to Reproduce:
1. Create a new Form.
2. Add one action to the Form.
3. Delete the action.

Actual results:

-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: 172.16.64.132:5ba73:f9fc60d553 -*-*-*-
-*-*-*- Message: not implemented for compound types yet -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept:
application/x-shockwave-flash,text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate
Accept-Language: en-us,en;q=0.5
Connection: keep-alive
Cookie: JSESSIONID=aAjY30LIodMd;
ad_user_login=8!1168267490620!e5xSHQISnA2UHcCRvLAsTw==; CP=null*
Host: rwsu.boston.redhat.com:9003
Keep-Alive: 300
Referer:
http://rwsu.boston.redhat.com:9003/ccm/content/admin/item.jsp?bbp.3.pane=1&bbp.622.sel=1111&bbp.2432.sel=145005&bbp.1623.sel=145017&bbp.3631.sel=3051&bbp.8.stack=%5E6786%5E6785&bbp.245.sel=147001&bbp.470.sel=146009&bbp.2202.sel=3065&bbp.6369.sel=1165&bbp.2304.d=asc&bbp.2698.sel=151022&bbp.5640.sel=2094&bbp.4937.sel=155&bbp.2074.d=asc&bbp.6175.sel=1143&bbp.1741.sel=381&bbp.5380.sel=2053&bbp.4427.sel=147013&bbp.3318.d=asc&bbp.1511.sel=145009&bbp.1972.sel=394&bbp.3216.sel=145026&bbp.6255.d=asc&bbp.4211.sel=147005&bbp.6888.d=asc&bbp.364.sel=147010&bbp.1320.sel=1031&bbp.550.d=asc&bbp.1387.sel=145001&bbp.2734.type=2037&item_id=112023&g11n.enc=UTF-8&bbp.1088.sel=2171&bbp.858.sel=1130&bbp.5907.sel=2128&bbp.2564.sel=145013&bbp.4097.sel=146006&bbp.3861.sel=437&bbp.6875.d=asc&bbp.6581.d=asc&bbp.v=151023&bbp.s=2698&bbp.i=d0.4.2.a.1.5v.1.3b.1.2v.1.46.1.6j.1.6d.1.6j.1.1s.1.3f.1.33.1.37.1.6d.1.6d.1.6g.1.3n.1.3p.1.24.1.c6.1.4t.1.6o.1.6d.1.6m.1.33.1.5z.1.e4.1.ca.1.77.1.7e.1.7f.1.5d.1&bbp.e=s&bbp.34.sel=146001&bbp.3390.sel=3033&g11n.enc=UTF-8
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: aAjY30LIodMd (expires: -1)
ad_user_login: 8!1168267490620!e5xSHQISnA2UHcCRvLAsTw== (expires: -1)
CP: null* (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
java.lang.Error: not implemented for compound types yet
	at com.arsdigita.versioning.Adapter.getType(Adapter.java:203)
	at com.arsdigita.versioning.Adapter.serializeOID(Adapter.java:216)
	at com.arsdigita.versioning.Adapter.access$000(Adapter.java:47)
	at com.arsdigita.versioning.Adapter$11.serialize(Adapter.java:148)
	at com.arsdigita.versioning.Adapter.serialize(Adapter.java:67)
	at
com.arsdigita.versioning.DataObjectChange.record(DataObjectChange.java:159)
	at
com.arsdigita.versioning.DataObjectChange.recordEvent(DataObjectChange.java:142)
	at
com.arsdigita.versioning.VersioningEventProcessor$EventSwitch.onSet(VersioningEventProcessor.java:123)
	at com.redhat.persistence.SetEvent.dispatch(SetEvent.java:44)
	at
com.arsdigita.versioning.VersioningEventProcessor.write(VersioningEventProcessor.java:70)
	at com.redhat.persistence.Session.flushInternal(Session.java:551)
	at com.redhat.persistence.Session.flush(Session.java:522)
	at com.redhat.persistence.Cursor.next(Cursor.java:108)
	at com.arsdigita.persistence.DataQueryImpl.next(DataQueryImpl.java:456)
	at
com.arsdigita.formbuilder.PersistentFormSection.removeProcessListener(PersistentFormSection.java:349)
	at
com.arsdigita.formbuilder.ui.ProcessListenerEditor$FormItemActionListener.cellSelected(ProcessListenerEditor.java:195)
	at com.arsdigita.bebop.Table.fireCellSelected(Table.java:233)
	at com.arsdigita.bebop.Table.respond(Table.java:533)
	at com.arsdigita.bebop.PageState.respond(PageState.java:368)
	at com.arsdigita.bebop.Page.process(Page.java:700)
	at com.arsdigita.bebop.Page.process(Page.java:682)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:736)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:280)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:82)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:77)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:294)
	at
_packages._content_22dsection._www._admin._item__jsp._jspService(_item__jsp.java:66)
	at com.caucho.jsp.JavaPage.service(JavaPage.java:75)
	at com.caucho.jsp.Page.subservice(Page.java:506)
	at
com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)
	at com.caucho.server.http.Invocation.service(Invocation.java:315)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:222)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:103)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:80)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardHelper(DispatcherHelper.java:180)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:209)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:222)
	at
com.arsdigita.cms.dispatcher.FileDispatcher$1.excurse(FileDispatcher.java:68)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:82)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:77)
	at
com.arsdigita.cms.dispatcher.FileDispatcher.chainedDispatch(FileDispatcher.java:71)
	at
com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:143)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:124)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:95)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:209)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:126)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:315)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:222)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:103)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:80)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:214)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:200)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:132)
	at
com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:134)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:315)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:246)
	at
com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:164)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:139)
	at java.lang.Thread.run(Thread.java:479)


-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.bebop.PageState: com.arsdigita.bebop.PageState@221872 = {
m_page = com.arsdigita.cms.ui.ContentItemPage@1f6780,
m_request = com.caucho.server.http.DispatchRequest@5fa2ae,
m_response = com.caucho.server.http.HttpResponse@72fd0e,
m_pageState = com.arsdigita.bebop.FormData@43a98b = {
m_parameterDataValues = {bbp.5648.col={null, []}, bbp.4380.row={null,
[]}, bbp.1465.row={null, []}, bbp.6740.sel={null, []},
bbp.4950.sel={null, []}, bbp.3852.col={null, []}, bbp.2278.sel={null,
[]}, bbp.6835.stack={null, []}, bbp.6072.row={null, []},
bbp.3.pane={1, []}, bbp.5631.row={null, []}, bbp.2489.sel={null, []},
bbp.2239.sel={null, []}, bbp.2348.row={null, []}, bbp.1522.sel={null,
[]}, bbp.1328.row={null, []}, bbp.4463.type={null, []},
bbp.1983.sel={null, []}, bbp.4928.row={null, []}, bbp.1433.row={null,
[]}, bbp.1388.stack={null, []}, bbp.4787.col={null, []},
bbp.3632.stack={null, []}, bbp.5972.kw={null, []}, bbp.3895.row={null,
[]}, bbp.892.col={null, []}, bbp.6557.sel={null, []},
bbp.3704.row={null, []}, bbp.3227.sel={null, []}, bbp.471.stack={null,
[]}, bbp.2980.row={null, []}, bbp.2210.row={null, []},
bbp.622.sel={1111, []}, bbp.1096.col={null, []}, bbp.5959.sel={null,
[]}, bbp.3926.kw={null, []}, bbp.287.col={null, []},
bbp.866.col={null, []}, bbp.1577.col={null, []}, bbp.6166.row={null,
[]}, bbp.1906.col={null, []}, bbp.6377.row={null, []},
bbp.25.col={null, []}, bbp.3347.sel={null, []}, bbp.2577.sel={null,
[]}, bbp.4222.sel={null, []}, bbp.687.kw={null, []},
bbp.1749.col={null, []}, bbp.6279.row={null, []},
bbp.2432.sel={145005, []}, bbp.6799.row={null, []},
bbp.2123.sel={null, []}, bbp.4105.col={null, []}, bbp.4894.sel={null,
[]}, bbp.1545.col={null, []}, bbp.1623.sel={145017, []},
bbp.3874.sel={null, []}, bbp.5915.col={null, []}, bbp.1732.row={null,
[]}, bbp.2006.col={null, []}, bbp.3381.col={null, []},
bbp.5388.col={null, []}, bbp.3816.col={null, []}, bbp.68.row={null,
[]}, bbp.340.sel={null, []}, bbp.4440.sel={null, []},
bbp.3342.col={null, []}, bbp.2572.col={null, []}, bbp.3455.kw={null,
[]}, bbp.137.sel={null, []}, bbp.5371.row={null, []},
bbp.3578.sel={null, []}, bbp.164.col={null, []}, bbp.859.stack={null,
[]}, bbp.4401.sel={null, []}, bbp.3631.sel={3051, []},
bbp.5999.chim={null, []}, bbp.2193.row={null, []}, bbp.4418.row={null,
[]}, bbp.1693.row={null, []}, bbp.1624.stack={null, []},
bbp.5125.sel={null, []}, bbp.1512.stack={null, []}, bbp.1210.kw={null,
[]}, bbp.3391.stack={null, []}, bbp.1963.row={null, []},
bbp.1486.sel={null, []}, bbp.6442.col={null, []},
bbp.8.stack={[Ljava.lang.Integer;@2ff4b6, []}, bbp.4945.row={null,
[]}, bbp.6403.col={null, []}, bbp.5705.kw={null, []},
bbp.4983.image_asset={null, []}, bbp.579.sel={null, []},
bbp.86.sel={null, []}, bbp.613.col={null, []}, bbp.6883.sel={null,
[]}, bbp.1661.row={null, []}, bbp.1349.sel={null, []},
bbp.5613.sel={null, []}, bbp.1043.row={null, []}, bbp.375.sel={null,
[]}, bbp.47.sel={null, []}, bbp.5805.col={null, []},
bbp.6621.col={null, []}, bbp.695.row={null, []}, bbp.199.col={null,
[]}, bbp.1787.image_asset={null, []}, bbp.504.row={null, []},
bbp.3560.sel={null, []}, bbp.1191.sel={null, []}, bbp.1297.sel={null,
[]}, bbp.550.row={null, []}, bbp.5417.sel={null, []},
bbp.656.row={null, []}, bbp.4288.row={null, []}, bbp.574.col={null,
[]}, bbp.2028.sel={null, []}, bbp.1258.sel={null, []},
bbp.2423.col={null, []}, bbp.6183.row={null, []}, bbp.1778.sel={null,
[]}, bbp.2884.col={null, []}, bbp.4249.row={null, []},
bbp.42.col={null, []}, bbp.246.stack={null, []}, bbp.1614.col={null,
[]}, bbp.3753.kw={null, []}, bbp.2565.stack={null, []},
bbp.245.sel={147001, []}, bbp.5944.sel={null, []}, bbp.5510.col={null,
[]}, bbp.1844.sel={null, []}, bbp.5502.kw={null, []},
bbp.35.stack={null, []}, bbp.1871.col={null, []}, bbp.4701.col={null,
[]}, bbp.1061.sel={null, []}, bbp.6148.sel={null, []}, metadata={null,
[]}, bbp.6092.row={null, []}, bbp.2351.sel={null, []},
bbp.3622.col={null, []}, bbp.2023.col={null, []}, bbp.1253.col={null,
[]}, bbp.1331.sel={null, []}, bbp.2098.row={null, []},
bbp.831.sel={null, []}, bbp.980.kw={null, []}, bbp.4049.sel={null,
[]}, bbp.6632.row={null, []}, bbp.2118.row={null, []},
bbp.674.sel={null, []}, bbp.4889.row={null, []}, bbp.2523.sel={null,
[]}, bbp.6843.row={null, []}, bbp.4533.row={null, []},
bbp.3869.row={null, []}, bbp.3267.col={null, []}, bbp.6434.kw={null,
[]}, bbp.6534.row={null, []}, bbp.1863.kw={null, []},
bbp.470.sel={146009, []}, bbp.635.sel={null, []}, bbp.6499.col={null,
[]}, bbp.1714.sel={null, []}, bbp.4267.sel={null, []},
bbp.220.sel={null, []}, bbp.3665.row={null, []}, bbp.4435.row={null,
[]}, bbp.3250.row={null, []}, bbp.1398.sel={null, []},
bbp.6598.stack={null, []}, bbp.3520.row={null, []},
bbp.1973.stack={null, []}, bbp.4169.sel={null, []},
bbp.5353.sel={null, []}, bbp.6229.sel={null, []}, bbp.6749.sel={null,
[]}, bbp.5545.col={null, []}, bbp.5953.image_asset={null, []},
bbp.1218.row={null, []}, bbp.3953.chim={null, []}, bbp.6380.sel={null,
[]}, bbp.630.col={null, []}, bbp.2280.sel={null, []},
bbp.2445.sel={null, []}, bbp.1153.kw={null, []}, bbp.5880.sel={null,
[]}, bbp.1926.col={null, []}, bbp.2304.row={null, []},
bbp.2729.control={null, []}, bbp.2656.sel={null, []},
bbp.4031.sel={null, []}, bbp.5677.sel={null, []}, bbp.2328.col={null,
[]}, bbp.1636.sel={null, []}, bbp.4164.col={null, []},
bbp.6370.stack={null, []}, bbp.6302.sel={null, []},
bbp.6299.row={null, []}, bbp.107.row={null, []}, bbp.1519.col={null,
[]}, bbp.2202.sel={3065, []}, bbp.3683.sel={null, []},
bbp.5743.sel={null, []}, bbp.3934.col={null, []}, bbp.71.sel={null,
[]}, bbp.236.col={null, []}, bbp.5770.col={null, []},
bbp.6724.sel={null, []}, bbp.3644.sel={null, []}, bbp.423.row={null,
[]}, bbp.1502.row={null, []}, bbp.2440.col={null, []},
bbp.4265.chim={null, []}, bbp.2651.col={null, []}, bbp.3555.row={null,
[]}, bbp.1631.col={null, []}, bbp.2304.o={null, []},
bbp.1400.sel={null, []}, bbp.6369.sel={1165, []}, bbp.3398.row={null,
[]}, bbp.3401.sel={null, []}, bbp.2304.d={asc, []},
bbp.4261.image_asset={null, []}, bbp.3207.row={null, []},
bbp.5102.row={null, []}, bbp.3066.col={2, []}, bbp.5067.col={null,
[]}, bbp.3696.kw={null, []}, bbp.895.sel={null, []},
bbp.461.col={null, []}, bbp.3440.chim={null, []}, bbp.5445.kw={null,
[]}, bbp.1791.chim={null, []}, bbp.2596.row={null, []},
bbp.6860.row={null, []}, bbp.4219.col={null, []},
bbp.2698.sel={151023, []}, bbp.4073.sel={null, []},
bbp.1161.row={null, []}, bbp.672.chim={null, []}, bbp.961.sel={null,
[]}, bbp.1099.sel={null, []}, bbp.3991.row={null, []},
bbp.869.sel={null, []}, bbp.1122.row={null, []}, bbp.4202.row={null,
[]}, bbp.5732.chim={null, []}, bbp.3723.chim={null, []},
bbp.5825.col={null, []}, bbp.2518.row={null, []}, bbp.4663.row={null,
[]}, bbp.3580.sel={null, []}, bbp.2706.col={null, []},
bbp.5640.sel={2094, []}, bbp.4337.kw={null, []}, bbp.1814.row={null,
[]}, bbp.3463.col={null, []}, bbp.258.sel={null, []},
bbp.4252.sel={null, []}, bbp.2048.sel={null, []}, bbp.1278.sel={null,
[]}, bbp.6601.stack={null, []}, bbp.4937.sel={155, []},
bbp.4098.stack={null, []}, bbp.4428.stack={null, []},
bbp.5483.sel={null, []}, bbp.1028.sel={null, []}, bbp.4108.sel={null,
[]}, bbp.3173.sel={null, []}, bbp.1548.sel={null, []},
bbp.3424.col={null, []}, bbp.5918.sel={null, []}, bbp.2009.sel={null,
[]}, bbp.2074.o={null, []}, bbp.5010.col={null, []},
bbp.324.sel={null, []}, bbp.3819.sel={null, []}, bbp.2074.d={asc, []},
bbp.2575.sel={null, []}, bbp.6010.sel={null, []}, bbp.4971.col={null,
[]}, bbp.1140.sel={null, []}, bbp.2486.row={null, []},
bbp.4026.row={null, []}, bbp.253.col={null, []}, bbp.2236.row={null,
[]}, bbp.1273.col={null, []}, bbp.2121.sel={null, []},
bbp.1023.col={null, []}, bbp.792.sel={null, []}, bbp.1101.sel={null,
[]}, bbp.1980.row={null, []}, bbp.483.sel={null, []},
bbp.3872.sel={null, []}, bbp.6175.sel={1143, []}, bbp.812.sel={null,
[]}, bbp.4385.sel={null, []}, bbp.444.sel={null, []},
bbp.6554.row={null, []}, bbp.2699.stack={null, []},
bbp.3639.row={null, []}, bbp.6077.sel={null, []}, bbp.3224.row={null,
[]}, bbp.355.row={null, []}, bbp.6406.sel={null, []},
bbp.4938.stack={null, []}, bbp.2689.col={null, []}, moveSection={null,
[]}, bbp.84.chim={null, []}, bbp.4458.control={null, []},
bbp.1741.sel={381, []}, bbp.5565.col={null, []}, bbp.3801.sel={null,
[]}, return_url={null, []}, bbp.988.row={null, []},
bbp.4380.col={null, []}, bbp.1465.col={null, []}, bbp.2942.row={null,
[]}, bbp.6072.col={null, []}, bbp.5380.sel={2053, []},
bbp.5713.row={null, []}, bbp.2215.sel={null, []}, bbp.6776.sel={null,
[]}, bbp.5631.col={null, []}, bbp.7.stack={null, []},
bbp.4051.sel={null, []}, bbp.2348.col={null, []}, bbp.1328.col={null,
[]}, bbp.3983.kw={null, []}, bbp.4427.sel={147013, []},
bbp.4928.col={null, []}, bbp.1433.col={null, []}, bbp.45.sel={null,
[]}, bbp.1311.row={null, []}, bbp.3895.col={null, []},
bbp.752.row={null, []}, bbp.2539.sel={null, []}, bbp.3704.col={null,
[]}, bbp.2812.row={null, []}, bbp.2980.col={null, []},
bbp.2210.col={null, []}, bbp.1138.chim={null, []}, bbp.4345.row={null,
[]}, bbp.3575.row={null, []}, bbp.668.image_asset={null, []},
bbp.3482.chim={null, []}, bbp.3318.o={null, []}, bbp.6231.sel={null,
[]}, bbp.6810.sel={null, []}, bbp.6037.row={null, []},
bbp.3318.d={asc, []}, bbp.3168.row={null, []}, bbp.6029.kw={null, []},
bbp.6662.row={null, []}, bbp.5122.row={null, []}, bbp.6166.col={null,
[]}, bbp.1378.row={null, []}, bbp.4987.chim={null, []},
bbp.931.row={null, []}, bbp.2253.row={null, []}, bbp.6377.col={null,
[]}, bbp.6209.row={null, []}, bbp.319.row={null, []},
bbp.204.sel={null, []}, textParam={null, []}, bbp.6255.row={null, []},
bbp.6279.col={null, []}, bbp.6360.row={null, []}, bbp.6799.col={null,
[]}, bbp.1346.row={null, []}, bbp.1698.sel={null, []},
bbp.1732.col={null, []}, bbp.787.row={null, []}, bbp.372.row={null,
[]}, bbp.3761.row={null, []}, bbp.478.row={null, []},
bbp.5653.sel={null, []}, bbp.4989.sel={null, []}, bbp.68.col={null,
[]}, bbp.807.row={null, []}, bbp.5453.row={null, []},
bbp.633.sel={null, []}, bbp.5371.col={null, []}, bbp.1929.sel={null,
[]}, bbp.5762.kw={null, []}, bbp.5414.row={null, []},
bbp.2193.col={null, []}, bbp.4418.col={null, []}, bbp.1775.row={null,
[]}, bbp.5980.row={null, []}, bbp.4605.row={null, []},
bbp.1693.col={null, []}, bbp.910.sel={null, []}, bbp.1048.sel={null,
[]}, bbp.1963.col={null, []}, bbp.6708.sel={null, []},
bbp.5941.row={null, []}, bbp.2443.sel={null, []}, bbp.4945.col={null,
[]}, bbp.1634.sel={null, []}, bbp.1661.col={null, []},
bbp.6188.sel={null, []}, bbp.4046.row={null, []}, bbp.3796.row={null,
[]}, bbp.871.sel={null, []}, bbp.1043.col={null, []},
bbp.4777.row={null, []}, bbp.5432.sel={null, []}, bbp.1582.sel={null,
[]}, bbp.6672.row={null, []}, bbp.3642.sel={null, []},
bbp.695.col={null, []}, bbp.1911.sel={null, []}, bbp.504.col={null,
[]}, bbp.1079.row={null, []}, bbp.6176.stack={null, []},
bbp.1793.sel={null, []}, bbp.3677.image_asset={null, []},
bbp.550.col={null, []}, bbp.656.col={null, []}, bbp.849.row={null,
[]}, bbp.6097.sel={null, []}, bbp.4288.col={null, []},
bbp.1754.sel={null, []}, bbp.6183.col={null, []}, bbp.1395.row={null,
[]}, bbp.2050.sel={null, []}, bbp.4110.sel={null, []},
bbp.4249.col={null, []}, bbp.6472.sel={null, []}, bbp.6581.row={null,
[]}, bbp.5920.sel={null, []}, bbp.99.kw={null, []},
bbp.1180.chim={null, []}, bbp.5393.sel={null, []}, bbp.3189.sel={null,
[]}, bbp.6491.kw={null, []}, bbp.1511.sel={145009, []},
bbp.3821.sel={null, []}, bbp.5828.sel={null, []}, bbp.6539.sel={null,
[]}, bbp.3294.sel={null, []}, bbp.6875.col={null, []},
bbp.1972.sel={394, []}, bbp.4307.chim={null, []}, bbp.3318.row={null,
[]}, bbp.6092.col={null, []}, bbp.2074.row={null, []},
bbp.2709.sel={null, []}, bbp.5674.row={null, []}, bbp.2098.col={null,
[]}, bbp.3216.sel={145026, []}, bbp.6632.col={null, []},
bbp.2555.row={null, []}, bbp.2118.col={null, []},
bbp.3907.image_asset={null, []}, bbp.6255.o={null, []},
bbp.4889.col={null, []}, bbp.4088.row={null, []}, bbp.6342.sel={null,
[]}, bbp.3427.sel={null, []}, bbp.6843.col={null, []},
bbp.4533.col={null, []}, bbp.3869.col={null, []}, bbp.2407.sel={null,
[]}, bbp.6888.mid={null, []}, bbp.6534.col={null, []},
bbp.5898.row={null, []}, bbp.6255.d={asc, []}, bbp.5648.row={null,
[]}, bbp.5426.image_asset={null, []}, bbp.4435.col={null, []},
bbp.3665.col={null, []}, bbp.5029.chim={null, []}, bbp.6764.sel={null,
[]}, bbp.3852.row={null, []}, bbp.3250.col={null, []},
bbp.4974.sel={null, []}, bbp.1833.chim={null, []}, bbp.3520.col={null,
[]}, bbp.256.sel={null, []}, bbp.1276.sel={null, []},
bbp.714.chim={null, []}, bbp.526.sel={null, []}, bbp.1218.col={null,
[]}, bbp.6788.stack={null, []}, bbp.5810.sel={null, []},
bbp.4211.sel={147005, []}, bbp.5692.sel={null, []},
bbp.6212.sel={null, []}, bbp.428.sel={null, []}, bbp.892.row={null,
[]}, bbp.2304.col={null, []}, bbp.5686.image_asset={null, []},
bbp.4780.type={null, []}, bbp.6888.o={null, []}, bbp.6299.col={null,
[]}, bbp.107.col={null, []}, bbp.6888.d={asc, []}, content_type={null,
[]}, bbp.3436.image_asset={null, []}, bbp.1096.row={null, []},
bbp.5641.stack={null, []}, bbp.481.sel={null, []}, bbp.5107.sel={null,
[]}, bbp.287.row={null, []}, bbp.866.row={null, []},
bbp.5568.sel={null, []}, bbp.810.sel={null, []}, bbp.4910.sel={null,
[]}, bbp.423.col={null, []}, bbp.1502.col={null, []},
bbp.6419.chim={null, []}, bbp.1577.row={null, []}, bbp.1906.row={null,
[]}, bbp.3555.col={null, []}, bbp.25.row={null, []},
bbp.1134.image_asset={null, []}, bbp.5430.chim={null, []},
bbp.5059.kw={null, []}, bbp.1749.row={null, []}, bbp.3398.col={null,
[]}, bbp.2433.stack={null, []}, bbp.3207.col={null, []},
bbp.5102.col={null, []}, bbp.4105.row={null, []}, bbp.1436.sel={null,
[]}, bbp.1545.row={null, []}, bbp.3272.sel={null, []},
bbp.5915.row={null, []}, bbp.2006.row={null, []}, bbp.3381.row={null,
[]}, bbp.5388.row={null, []}, bbp.3898.sel={null, []},
bbp.3816.row={null, []}, bbp.2572.row={null, []},
bbp.904.image_asset={null, []}, bbp.3342.row={null, []},
bbp.364.sel={147010, []}, bbp.2213.sel={null, []}, bbp.2596.col={null,
[]}, bbp.6860.col={null, []}, bbp.164.row={null, []},
bbp.3964.sel={null, []}, bbp.1161.col={null, []}, bbp.3991.col={null,
[]}, bbp.5550.sel={null, []}, bbp.1122.col={null, []},
bbp.4202.col={null, []}, bbp.2518.col={null, []}, bbp.4663.col={null,
[]}, bbp.6442.row={null, []}, bbp.1931.sel={null, []},
bbp.365.stack={null, []}, bbp.2333.sel={null, []},
bbp.3862.stack={null, []}, bbp.1814.col={null, []},
bbp.6403.row={null, []}, bbp.3834.sel={null, []}, bbp.613.row={null,
[]}, bbp.1524.sel={null, []}, bbp.6888.col={null, []},
bbp.1985.sel={null, []}, bbp.5002.kw={null, []}, bbp.1320.sel={1031,
[]}, bbp.5805.row={null, []}, bbp.5908.stack={null, []},
bbp.4212.stack={null, []}, bbp.3217.stack={null, []},
bbp.6621.row={null, []}, bbp.6559.sel={null, []}, bbp.199.row={null,
[]}, bbp.3229.sel={null, []}, bbp.550.o={null, []},
bbp.80.image_asset={null, []}, bbp.4026.col={null, []},
bbp.2486.col={null, []}, bbp.2236.col={null, []}, bbp.908.chim={null,
[]}, bbp.574.row={null, []}, bbp.550.d={asc, []}, bbp.2423.row={null,
[]}, bbp.1980.col={null, []}, bbp.2884.row={null, []},
bbp.42.row={null, []}, bbp.1614.row={null, []}, bbp.1387.sel={145001,
[]}, bbp.6421.sel={null, []}, bbp.5651.sel={null, []},
bbp.5510.row={null, []}, bbp.1598.sel={null, []}, bbp.6554.col={null,
[]}, bbp.3639.col={null, []}, bbp.3493.sel={null, []},
bbp.3224.col={null, []}, bbp.355.col={null, []}, bbp.4948.sel={null,
[]}, bbp.1871.row={null, []}, bbp.2734.type={2037, []},
bbp.4701.row={null, []}, bbp.4224.sel={null, []}, bbp.3622.row={null,
[]}, bbp.2023.row={null, []}, bbp.1253.row={null, []},
bbp.1664.sel={null, []}, bbp.6461.chim={null, []}, bbp.5040.sel={null,
[]}, bbp.1046.sel={null, []}, bbp.3056.row={139028, []},
bbp.988.col={null, []}, bbp.5830.sel={null, []}, bbp.3267.row={null,
[]}, bbp.2942.col={null, []}, bbp.507.sel={null, []},
bbp.1362.sel={null, []}, bbp.5713.col={null, []}, bbp.5957.chim={null,
[]}, bbp.2711.sel={null, []}, bbp.6499.row={null, []},
bbp.3363.sel={null, []}, bbp.659.sel={null, []}, bbp.1742.stack={null,
[]}, bbp.6186.sel={null, []}, bbp.923.kw={null, []},
bbp.290.sel={null, []}, item_id={112023, []}, bbp.5545.row={null, []},
bbp.725.sel={null, []}, bbp.5127.sel={null, []}, bbp.1311.col={null,
[]}, bbp.752.col={null, []}, bbp.2258.sel={null, []},
bbp.1806.kw={null, []}, bbp.630.row={null, []}, bbp.2812.col={null,
[]}, bbp.4318.sel={null, []}, bbp.6569.sel={null, []},
bbp.1926.row={null, []}, bbp.6095.sel={null, []}, bbp.4345.col={null,
[]}, bbp.3575.col={null, []}, bbp.1752.sel={null, []},
bbp.2328.row={null, []}, g11n.enc={UTF-8, []}, bbp.6037.col={null,
[]}, bbp.4164.row={null, []}, bbp.1321.stack={null, []},
bbp.1519.row={null, []}, bbp.3168.col={null, []}, bbp.5391.sel={null,
[]}, bbp.6662.col={null, []}, bbp.5122.col={null, []},
bbp.1378.col={null, []}, bbp.377.sel={null, []}, bbp.3934.row={null,
[]}, bbp.931.col={null, []}, bbp.3292.sel={null, []},
bbp.236.row={null, []}, bbp.5770.row={null, []}, bbp.1088.sel={2171,
[]}, bbp.2253.col={null, []}, bbp.6209.col={null, []},
bbp.126.chim={null, []}, bbp.319.col={null, []}, bbp.2440.row={null,
[]}, bbp.4438.sel={null, []}, bbp.3668.sel={null, []},
bbp.623.stack={null, []}, bbp.6255.col={null, []}, bbp.858.sel={1130,
[]}, bbp.3253.sel={null, []}, bbp.2651.row={null, []},
bbp.2174.sel={null, []}, bbp.1631.row={null, []}, bbp.6360.col={null,
[]}, bbp.595.sel={null, []}, bbp.1346.col={null, []},
bbp.3734.sel={null, []}, bbp.787.col={null, []}, bbp.1944.sel={null,
[]}, bbp.5570.sel={null, []}, bbp.372.col={null, []},
bbp.478.col={null, []}, bbp.3761.col={null, []}, bbp.1470.sel={null,
[]}, bbp.4280.kw={null, []}, bbp.1089.stack={null, []},
bbp.5067.row={null, []}, bbp.807.col={null, []}, bbp.5453.col={null,
[]}, bbp.950.chim={null, []}, bbp.461.row={null, []},
bbp.5907.sel={2128, []}, bbp.5414.col={null, []}, bbp.2353.sel={null,
[]}, imageParam={null, []}, bbp.2103.sel={null, []},
bbp.1333.sel={null, []}, bbp.1775.col={null, []}, bbp.4219.row={null,
[]}, bbp.2564.sel={145013, []}, bbp.5980.col={null, []},
bbp.4605.col={null, []}, bbp.524.sel={null, []}, bbp.3913.sel={null,
[]}, bbp.4097.sel={146006, []}, bbp.3604.sel={null, []},
bbp.5941.col={null, []}, bbp.5825.row={null, []}, bbp.3861.sel={437,
[]}, bbp.6875.o={null, []}, bbp.2706.row={null, []},
bbp.4046.col={null, []}, bbp.3059.type={null, []},
bbp.3911.chim={null, []}, bbp.3796.col={null, []}, bbp.3463.row={null,
[]}, bbp.6875.d={asc, []}, bbp.6875.c={null, []}, bbp.6895.sel={null,
[]}, bbp.6672.col={null, []}, bbp.3424.row={null, []},
bbp.1079.col={null, []}, bbp.6382.sel={null, []},
bbp.5381.stack={null, []}, bbp.5010.row={null, []}, bbp.6581.o={null,
[]}, bbp.849.col={null, []}, bbp.744.kw={null, []},
bbp.6284.sel={null, []}, bbp.4971.row={null, []}, bbp.1395.col={null,
[]}, bbp.6581.d={asc, []}, bbp.v={139028 2, []}, bbp.253.row={null,
[]}, bbp.4185.sel={null, []}, bbp.1273.row={null, []}, bbp.s={3066,
[]}, bbp.6304.sel={null, []}, bbp.6581.col={null, []},
bbp.1023.row={null, []}, bbp.5472.chim={null, []}, bbp.i={{4, 5, 16,
228, 348, 452, 603, 839, 1069, 1305, 1370, 1494, 1606, 1722, 1952,
2182, 2415, 2547, 2682, 2701, 2758, 3197, 3371, 3612, 3842, 4081,
4193, 4409, 4918, 5361, 5621, 5888, 6156, 6350}, []},
bbp.1125.sel={null, []}, bbp.156.kw={null, []}, bbp.e={cell, []},
bbp.3512.kw={null, []}, bbp.9.stack={null, []}, bbp.2203.stack={null,
[]}, bbp.3318.col={null, []}, bbp.2074.col={null, []},
bbp.34.sel={146001, []}, bbp.5674.col={null, []},
bbp.6415.image_asset={null, []}, bbp.3442.sel={null, []},
bbp.2672.sel={null, []}, bbp.2555.col={null, []}, bbp.2689.row={null,
[]}, bbp.3403.sel={null, []}, bbp.4088.col={null, []},
bbp.3390.sel={3033, []}, bbp.5690.chim={null, []}, bbp.5898.col={null,
[]}, bbp.5565.row={null, []}, bbp.3681.chim={null, []}},
m_formErrors = null,
m_model = com.arsdigita.bebop.FormModel@3fa6aa,
m_locale = en_US,
m_isTransformed = true,
m_isValid = false,
m_isSubmission = true
},
m_attributes = null,
,
m_grabbingComponent = null,
m_invisible = {4, 6, 7, 8, 9, 10, 17, 18, 19, 20, 36, 37, 38, 41, 67,
83, 84, 98, 124, 125, 126, 155, 196, 229, 230, 231, 247, 248, 249,
252, 286, 316, 349, 350, 366, 367, 368, 371, 420, 453, 454, 455, 456,
472, 473, 474, 477, 503, 520, 571, 604, 605, 606, 607, 608, 624, 625,
626, 629, 655, 671, 672, 686, 712, 713, 714, 743, 784, 806, 840, 841,
842, 843, 844, 860, 861, 862, 865, 891, 907, 908, 922, 948, 949, 950,
979, 1020, 1042, 1070, 1071, 1072, 1073, 1074, 1090, 1091, 1092, 1095,
1121, 1137, 1138, 1152, 1178, 1179, 1180, 1209, 1250, 1272, 1306,
1322, 1323, 1324, 1327, 1345, 1371, 1372, 1373, 1389, 1390, 1391,
1394, 1432, 1462, 1495, 1496, 1497, 1513, 1514, 1515, 1518, 1544,
1574, 1607, 1608, 1609, 1625, 1626, 1627, 1630, 1660, 1690, 1723,
1724, 1725, 1726, 1727, 1743, 1744, 1745, 1748, 1774, 1790, 1791,
1805, 1831, 1832, 1833, 1862, 1903, 1925, 1953, 1954, 1955, 1956,
1957, 1958, 1974, 1975, 1976, 1979, 2005, 2020, 2044, 2095, 2117,
2183, 2184, 2185, 2186, 2187, 2188, 2204, 2205, 2206, 2209, 2235,
2250, 2274, 2325, 2347, 2416, 2417, 2418, 2434, 2435, 2436, 2439,
2485, 2515, 2548, 2549, 2550, 2566, 2567, 2568, 2571, 2591, 2592,
2593, 2594, 2648, 2680, 2681, 2683, 2684, 2700, 2702, 2705, 2731,
2732, 2751, 2752, 2753, 2754, 2755, 2756, 2757, 2759, 2760, 2761,
2762, 3058, 3071, 3072, 3073, 3074, 3075, 3165, 3198, 3199, 3200,
3201, 3202, 3218, 3219, 3220, 3223, 3249, 3264, 3288, 3339, 3372,
3373, 3374, 3375, 3376, 3392, 3393, 3394, 3397, 3423, 3439, 3440,
3454, 3480, 3481, 3482, 3511, 3552, 3574, 3613, 3614, 3615, 3616,
3617, 3633, 3634, 3635, 3638, 3664, 3680, 3681, 3695, 3721, 3722,
3723, 3752, 3793, 3815, 3843, 3844, 3845, 3846, 3847, 3863, 3864,
3865, 3868, 3894, 3910, 3911, 3925, 3951, 3952, 3953, 3982, 4023,
4045, 4082, 4083, 4099, 4100, 4101, 4104, 4161, 4194, 4195, 4196,
4197, 4213, 4214, 4215, 4218, 4248, 4264, 4265, 4279, 4305, 4306,
4307, 4336, 4377, 4410, 4411, 4412, 4413, 4429, 4430, 4431, 4434,
4460, 4461, 4472, 4473, 4474, 4475, 4476, 4477, 4478, 4479, 4480,
4481, 4482, 4483, 4779, 4792, 4793, 4794, 4795, 4796, 4886, 4919,
4920, 4921, 4922, 4923, 4939, 4940, 4941, 4944, 4970, 4986, 4987,
5001, 5027, 5028, 5029, 5058, 5099, 5121, 5362, 5363, 5364, 5365,
5366, 5382, 5383, 5384, 5387, 5413, 5429, 5430, 5444, 5470, 5471,
5472, 5501, 5542, 5564, 5622, 5623, 5624, 5625, 5626, 5642, 5643,
5644, 5647, 5673, 5689, 5690, 5704, 5730, 5731, 5732, 5761, 5802,
5824, 5889, 5890, 5891, 5892, 5893, 5909, 5910, 5911, 5914, 5940,
5956, 5957, 5971, 5997, 5998, 5999, 6028, 6069, 6091, 6157, 6158,
6159, 6160, 6161, 6177, 6178, 6179, 6182, 6208, 6225, 6276, 6298,
6351, 6352, 6353, 6354, 6355, 6371, 6372, 6373, 6376, 6402, 6418,
6419, 6433, 6459, 6460, 6461, 6490, 6531, 6553, 6593, 6594, 6595,
6596, 6597, 6599, 6600, 6601, 6602, 6603, 6604, 6605, 6639, 6640,
6641, 6642, 6783, 6784, 6785, 6786, 6789, 6790, 6833, 6834, 6835,
6853, 6854, 6868}
}
com.arsdigita.bebop.RequestLocal:
{com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@55fec4=true,
com.arsdigita.cms.ui.ContentItemPage$ItemRequestLocal@5d8e7c=[com.arsdigita.cms.formbuilder.FormItem:{id=112023}]}
com.arsdigita.cms.dispatcher.section:
[com.arsdigita.cms.ContentSection:{id=42}]
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@64c86b
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@58530c=null}
com.arsdigita.kernel.ACSObject:112023:
[com.arsdigita.cms.formbuilder.FormItem:{id=112023}]
com.arsdigita.web.BaseApplicationServlet.application_id: 42
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url:
/ccm/content/admin/item.jsp?bbp.2202.sel=3065&bbp.550.d=asc&bbp.2698.sel=151023&bbp.858.sel=1130&bbp.6175.sel=1143&bbp.2074.d=asc&bbp.v=139028+2&bbp.622.sel=1111&bbp.s=3066&bbp.470.sel=146009&bbp.3390.sel=3033&bbp.i=d0.4.2.a.1.5v.1.3b.1.2v.1.46.1.6j.1.6d.1.6j.1.1s.1.3f.1.33.1.37.1.6d.1.6d.1.6g.1.3n.1.3q.1.i.1.1k.1.c6.1.4t.1.6o.1.6d.1.6m.1.33.1.5z.1.e4.1.ca.1.77.1.7e.1.7f.1.5d.1&bbp.1741.sel=381&bbp.e=cell&bbp.245.sel=147001&bbp.4937.sel=155&bbp.1088.sel=2171&bbp.2304.d=asc&bbp.4097.sel=146006&bbp.3.pane=1&bbp.3861.sel=437&bbp.3216.sel=145026&bbp.6369.sel=1165&bbp.34.sel=146001&bbp.1320.sel=1031&bbp.2432.sel=145005&bbp.6581.d=asc&bbp.2564.sel=145013&g11n.enc=UTF-8&g11n.enc=UTF-8&bbp.1972.sel=394&bbp.364.sel=147010&bbp.1387.sel=145001&bbp.6255.d=asc&bbp.1623.sel=145017&bbp.1511.sel=145009&bbp.8.stack=%5E6786%5E6785&bbp.4427.sel=147013&bbp.5640.sel=2094&bbp.6875.d=asc&item_id=112023&bbp.2734.type=2037&bbp.3318.d=asc&bbp.5907.sel=2128&bbp.5380.sel=2053&bbp.3631.sel=3051&bbp.6888.d=asc&bbp.4211.sel=147005
guruErrorReport: 
-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: 172.16.64.132:5ba73:f9fc60d531 -*-*-*-
-*-*-*- Message: not implemented for compound types yet -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept:
application/x-shockwave-flash,text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate
Accept-Language: en-us,en;q=0.5
Connection: keep-alive
Cookie: JSESSIONID=aAjY30LIodMd;
ad_user_login=8!1168267490620!e5xSHQISnA2UHcCRvLAsTw==; CP=null*
Host: rwsu.boston.redhat.com:9003
Keep-Alive: 300
Referer:
http://rwsu.boston.redhat.com:9003/ccm/content/admin/item.jsp?bbp.3.pane=1&bbp.622.sel=1111&bbp.2432.sel=145005&bbp.1623.sel=145017&bbp.3631.sel=3051&bbp.8.stack=%5E6786%5E6785&bbp.245.sel=147001&bbp.470.sel=146009&bbp.2202.sel=3065&bbp.6369.sel=1165&bbp.2304.d=asc&bbp.2698.sel=151022&bbp.5640.sel=2094&bbp.4937.sel=155&bbp.2074.d=asc&bbp.6175.sel=1143&bbp.1741.sel=381&bbp.5380.sel=2053&bbp.4427.sel=147013&bbp.3318.d=asc&bbp.1511.sel=145009&bbp.1972.sel=394&bbp.3216.sel=145026&bbp.6255.d=asc&bbp.4211.sel=147005&bbp.6888.d=asc&bbp.364.sel=147010&bbp.1320.sel=1031&bbp.550.d=asc&bbp.1387.sel=145001&bbp.2734.type=2037&item_id=112023&g11n.enc=UTF-8&bbp.1088.sel=2171&bbp.858.sel=1130&bbp.5907.sel=2128&bbp.2564.sel=145013&bbp.4097.sel=146006&bbp.3861.sel=437&bbp.6875.d=asc&bbp.6581.d=asc&bbp.v=151023&bbp.s=2698&bbp.i=d0.4.2.a.1.5v.1.3b.1.2v.1.46.1.6j.1.6d.1.6j.1.1s.1.3f.1.33.1.37.1.6d.1.6d.1.6g.1.3n.1.3p.1.24.1.c6.1.4t.1.6o.1.6d.1.6m.1.33.1.5z.1.e4.1.ca.1.77.1.7e.1.7f.1.5d.1&bbp.e=s&bbp.34.sel=146001&bbp.3390.sel=3033&g11n.enc=UTF-8
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: aAjY30LIodMd (expires: -1)
ad_user_login: 8!1168267490620!e5xSHQISnA2UHcCRvLAsTw== (expires: -1)
CP: null* (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
java.lang.Error: not implemented for compound types yet
	at com.arsdigita.versioning.Adapter.getType(Adapter.java:203)
	at com.arsdigita.versioning.Adapter.serializeOID(Adapter.java:216)
	at com.arsdigita.versioning.Adapter.access$000(Adapter.java:47)
	at com.arsdigita.versioning.Adapter$11.serialize(Adapter.java:148)
	at com.arsdigita.versioning.Adapter.serialize(Adapter.java:67)
	at
com.arsdigita.versioning.DataObjectChange.record(DataObjectChange.java:159)
	at
com.arsdigita.versioning.DataObjectChange.recordEvent(DataObjectChange.java:142)
	at
com.arsdigita.versioning.VersioningEventProcessor$EventSwitch.onSet(VersioningEventProcessor.java:123)
	at com.redhat.persistence.SetEvent.dispatch(SetEvent.java:44)
	at
com.arsdigita.versioning.VersioningEventProcessor.write(VersioningEventProcessor.java:70)
	at com.redhat.persistence.Session.flushInternal(Session.java:551)
	at com.redhat.persistence.Session.flush(Session.java:522)
	at com.redhat.persistence.Cursor.next(Cursor.java:108)
	at com.arsdigita.persistence.DataQueryImpl.next(DataQueryImpl.java:456)
	at
com.arsdigita.formbuilder.PersistentFormSection.removeProcessListener(PersistentFormSection.java:349)
	at
com.arsdigita.formbuilder.ui.ProcessListenerEditor$FormItemActionListener.cellSelected(ProcessListenerEditor.java:195)
	at com.arsdigita.bebop.Table.fireCellSelected(Table.java:233)
	at com.arsdigita.bebop.Table.respond(Table.java:533)
	at com.arsdigita.bebop.PageState.respond(PageState.java:368)
	at com.arsdigita.bebop.Page.process(Page.java:700)
	at com.arsdigita.bebop.Page.process(Page.java:682)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:736)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:280)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:82)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:77)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:294)
	at
_packages._content_22dsection._www._admin._item__jsp._jspService(_item__jsp.java:66)
	at com.caucho.jsp.JavaPage.service(JavaPage.java:75)
	at com.caucho.jsp.Page.subservice(Page.java:506)
	at
com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)
	at com.caucho.server.http.Invocation.service(Invocation.java:315)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:222)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:103)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:80)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardHelper(DispatcherHelper.java:180)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:209)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:222)
	at
com.arsdigita.cms.dispatcher.FileDispatcher$1.excurse(FileDispatcher.java:68)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:82)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:77)
	at
com.arsdigita.cms.dispatcher.FileDispatcher.chainedDispatch(FileDispatcher.java:71)
	at
com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:143)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:124)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:95)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:209)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:126)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:315)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:222)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:103)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:80)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:214)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:200)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:132)
	at
com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:134)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:315)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:246)
	at
com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:164)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:139)
	at java.lang.Thread.run(Thread.java:479)


Expected results:

Action should have been deleted with no Exception.
Comment 1 Richard Su 2004-01-09 15:56:15 EST
This bug may be related to bug 104522.

Potential fix in p4 39261. I'm not sure if the associations should be
marked unversioned.

Comment 2 Richard Li 2004-01-09 15:58:53 EST
dan can you review, please?
Comment 3 Daniel Berrange 2004-01-12 05:06:26 EST
Well, its a content type like any other, so users will expect it to be
versioned like any other. However, because of numerous limitations of
versioning this has never really worked. See also bug 102907
Comment 4 Vadim Nasardinov 2004-01-16 18:16:35 EST
As Dan already said, these associations should not be marked
unversioned.  In theory.

In practice, p4 39261 is the quickest way to fix this problem today.
If you can live with not being able to version FormItems and
FormSectionItems correctly, then this is probably the best short-term
solution.
Comment 5 Vadim Nasardinov 2005-11-14 14:54:54 EST
This is ancient.  Closing.

Note You need to log in before you can comment on or make changes to this bug.